%define lib_major 2
%define lib_name  %mklibname %{name} %{lib_major}

Summary: GNOME magnifier
Name: gnome-mag
Version: 0.13.1
Release: %mkrel 1
License: GPL
Group: Accessibility
URL: http://developer.gnome.org/projects/gap/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: at-spi-devel >= 1.6.0
BuildRequires: perl-XML-Parser

%description
GNOME Magnifier

%package -n %{lib_name}
Summary:	GNOME magnifier shared library
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n %{lib_name}
GNOME Magnifier shared library.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for gnome-mag
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Requires:	gtk+2-devel

%description -n %{lib_name}-devel
Development libraries and , include files for GNOME magnifier.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/orbit-2.0/*
%{_datadir}/gnome-mag
%{_datadir}/idl/*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libgnome-mag.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2007.0
- New release 0.13.1

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13.0-2mdv2007.0
- Rebuild with latest libgail

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13.0-1mdv2007.0
- Release 0.13.0

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 0.12.6-2mdv2007.0
- fix major

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 0.12.6-1mdk
- New release 0.12.6

* Mon May 15 2006 Gtz Waschk <waschk@mandriva.org> 0.12.5-1mdk
- update file list
- New release 0.12.5

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.12.4-1mdk
- New release 0.12.4

* Fri Jan 20 2006 Götz Waschk <waschk@mandriva.org> 0.12.3-1mdk
- New release 0.12.3
- use mkrel

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 0.12.2-1mdk
- Release 0.12.2
- Remove patch0 (no longer needed)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.14-1mdk 
- Release 0.11.14
- Regenerate patch0

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.11.10-2mdk
- fix requires
- nuke lib64 rpaths

* Wed Nov 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.11.10-1mdk
- New release 0.11.10

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11.8-1mdk
- reenable libtoolize
- New release 0.11.8
- bump major

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.11-2mdk
- Fix BuildRequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.11-1mdk
- New release 0.10.11

* Wed Apr  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.10-1mdk
- New release 0.10.10

* Wed Dec 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.4-1mdk
- Release 0.10.4

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.3-1mdk
- Release 0.10.3

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.10.2-4mdk
- Rebuild for latest deps

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.10.2-3mdk
- rebuild against latest libbonobo/ORBit2

* Fri May  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.10.2-2mdk
- Add missing .so in devel package

* Wed Apr 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.10.2-1mdk
- Release 0.10.2

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-1mdk
- Initial build.


